### Constructor

# WPEPlatformWayland ViewWayland new

#### Declaration [src]

    WPEView*
    wpe_view_wayland_new (
      WPEDisplayWayland* display
    )

#### Description [src]

Create a new `WPEViewWayland`.

#### Parameters

`display`

  Type: `WPEDisplayWayland`

  A `WPEDisplayWayland`.

  The data is owned by the caller of the function.

#### Return value

Type: `WPEView`

A `WPEView`.

The caller of the function takes ownership of the data, and is responsible for freeing it.